zenilib: zenilib/jni/external/sdl/src/audio/psp/SDL_pspaudio.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
SDL_pspaudio.c File Reference
`#include <stdio.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <malloc.h>`
`#include "SDL_audio.h"`
`#include "SDL_error.h"`
`#include "SDL_timer.h"`
`#include "../SDL_audiomem.h"`
`#include "../SDL_audio_c.h"`
`#include "../SDL_audiodev_c.h"`
`#include "../SDL_sysaudio.h"`
`#include "SDL_pspaudio.h"`
`#include <pspaudio.h>`
`#include <pspthreadman.h>`

Go to the source code of this file.

## Macros

#define | PSPAUD_DRIVER_NAME "psp"

## Functions

static void | PSPAUD_CloseDevice (_THIS)
static Uint8 * | PSPAUD_GetDeviceBuf (_THIS)
static int | PSPAUD_Init (SDL_AudioDriverImpl *impl)
static int | PSPAUD_OpenDevice (_THIS, const char *devname, int iscapture)
static void | PSPAUD_PlayDevice (_THIS)
static void | PSPAUD_ThreadInit (_THIS)
static void | PSPAUD_WaitDevice (_THIS)

## Variables

AudioBootStrap | PSPAUD_bootstrap

## Macro Definition Documentation

#define PSPAUD_DRIVER_NAME "psp"

Definition at line 40 of file SDL_pspaudio.c.

## Function Documentation

static void PSPAUD_CloseDevice | ( | _THIS |  | ) |

static

Definition at line 135 of file SDL_pspaudio.c.

References free, and NULL.

Referenced by PSPAUD_Init().

static Uint8* PSPAUD_GetDeviceBuf | ( | _THIS |  | ) |

static

Definition at line 130 of file SDL_pspaudio.c.

Referenced by PSPAUD_Init().

static int PSPAUD_Init | ( | SDL_AudioDriverImpl * | impl | ) |

static

Definition at line 162 of file SDL_pspaudio.c.

References SDL_AudioDriverImpl::CloseDevice, SDL_AudioDriverImpl::GetDeviceBuf, SDL_AudioDriverImpl::OnlyHasDefaultOutputDevice, SDL_AudioDriverImpl::OpenDevice, SDL_AudioDriverImpl::PlayDevice, PSPAUD_CloseDevice(), PSPAUD_GetDeviceBuf(), PSPAUD_OpenDevice(), PSPAUD_PlayDevice(), PSPAUD_ThreadInit(), PSPAUD_WaitDevice(), SDL_AudioDriverImpl::ThreadInit, SDL_AudioDriverImpl::WaitDevice, and SDL_AudioDriverImpl::WaitDone.

static int PSPAUD_OpenDevice | ( | _THIS | ,
|  | const char * | devname,
|  | int | iscapture
| ) |  |

static

Definition at line 43 of file SDL_pspaudio.c.

References AUDIO_S16LSB, AUDIO_U8, free, i, memset, NULL, NUM_BUFFERS, SDL_AUDIO_BITSIZE, SDL_malloc(), SDL_memset(), SDL_OutOfMemory, and SDL_SetError().

Referenced by PSPAUD_Init().

static void PSPAUD_PlayDevice | ( | _THIS |  | ) |

static

Definition at line 112 of file SDL_pspaudio.c.

References SDL_PrivateAudioData::mixbuf, and NUM_BUFFERS.

Referenced by PSPAUD_Init().

static void PSPAUD_ThreadInit | ( | _THIS |  | ) |

static

Definition at line 147 of file SDL_pspaudio.c.

Referenced by PSPAUD_Init().

static void PSPAUD_WaitDevice | ( | _THIS |  | ) |

static

Definition at line 126 of file SDL_pspaudio.c.

Referenced by PSPAUD_Init().

## Variable Documentation

AudioBootStrap PSPAUD_bootstrap

Initial value:
= {
"psp", "PSP audio driver", PSPAUD_Init, 0
}
PSPAUD_Init
static int PSPAUD_Init(SDL_AudioDriverImpl *impl)
Definition: SDL_pspaudio.c:162

Definition at line 188 of file SDL_pspaudio.c.